| helics 3.6.1

Public Member Functions | Public Attributes | List of all members
helics::DependencyInfo Class Reference

`#include <TimeDependencies.hpp>`

Inheritance diagram for helics::DependencyInfo:

## Public Member Functions
| DependencyInfo ()=default
| DependencyInfo (const DependencyInfo &)=default
DependencyInfo & | operator= (const DependencyInfo &)=default
| DependencyInfo (DependencyInfo &&)=default
DependencyInfo & | operator= (DependencyInfo &&)=default
| DependencyInfo (GlobalFederateId id)
template<class... Args>
| DependencyInfo (Time start, Args &&... args)
Public Member Functions inherited from helics::TimeData
| TimeData (const TimeData &)=default
TimeData & | operator= (const TimeData &)=default
| TimeData (TimeData &&)=default
TimeData & | operator= (TimeData &&)=default
| TimeData (Time start, TimeState startState=TimeState::initialized, std::uint8_t resLevel=0U)
bool | update (const TimeData &update)

## Public Attributes
GlobalFederateId | fedID {}
| identifier for the dependency
bool | cyclic {false}
ConnectionType | connection {ConnectionType::INDEPENDENT}
bool | dependent {false}
| indicator the dependency is a dependent object
bool | dependency {false}
| indicator that the dependency is an actual dependency
bool | forwarding {false}
| indicator that the dependency is a forwarding time coordinator
bool | nonGranting {false}
| indicator that the dependency is a non granting time coordinator
bool | triggered {false}
| indicator that the dependency has been triggered in some way
bool | updateRequested {false}
| indicator that an update request is in process
Public Attributes inherited from helics::TimeData
Time | next {negEpsilon}
| next possible message or value
Time | Te {timeZero}
| the next currently scheduled event
Time | minDe {timeZero}
| min dependency event time
Time | TeAlt {timeZero}
| the second min event
Time | lastGrant {timeZero}
| storage for the previous grant time
GlobalFederateId | minFed {}
| identifier for the min dependency
GlobalFederateId | minFedActual {}
| the actual forwarded minimum federate object
TimeState | mTimeState {TimeState::initialized}
bool | hasData {false}
| indicator that data was sent in the current interval
bool | interrupted {false}
| indicator that the federates next event is a timing interruption
bool | delayedTiming {false}
| indicator that the dependency is using delayed timing
std::int8_t | timingVersion {-2}
| version indicator
std::uint8_t | restrictionLevel {0}
| timing restriction level
std::int32_t | timeoutCount {0}
| counter for timeout checking
std::int32_t | sequenceCounter {0}
| the sequence Counter of the request
std::int32_t | responseSequenceCounter {0}
std::int32_t | grantedIteration {0}
| the iteration of the dependency when the local iteration was granted

## Detailed Description

data class containing information about inter-federate dependencies

## Constructor & Destructor Documentation

## ◆ DependencyInfo() [1/2]

helics::DependencyInfo::DependencyInfo | ( |  | ) |
| default

default constructor

## ◆ DependencyInfo() [2/2]

helics::DependencyInfo::DependencyInfo | ( | GlobalFederateId | id | ) |
| inline explicit

construct from a federate id

## Member Data Documentation

## ◆ cyclic

bool helics::DependencyInfo::cyclic {false}

indicator that the dependency is cyclic and should be reset more completely on grant

The documentation for this class was generated from the following file:

- TimeDependencies.hpp